Skip to content
Start here

[DEPRECATED] List Pipelines

Deprecated
client.Pipelines.List(ctx, params) (*PipelineListResponse, error)
GET/accounts/{account_id}/pipelines

[DEPRECATED] List, filter, and paginate pipelines in an account. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
params PipelineListParams
AccountID param.Field[string]

Path param: Specifies the public ID of the account.

Page param.Field[string]optional

Query param: Specifies which page to retrieve.

PerPage param.Field[string]optional

Query param: Specifies the number of pipelines per page.

ReturnsExpand Collapse
type PipelineListResponse struct{…}
ResultInfo PipelineListResponseResultInfo
Count float64

Indicates the number of items on current page.

Page float64

Indicates the current page number.

PerPage float64

Indicates the number of items per page.

TotalCount float64

Indicates the total number of items.

Results []PipelineListResponseResult
ID string

Specifies the pipeline identifier.

Destination PipelineListResponseResultsDestination
Batch PipelineListResponseResultsDestinationBatch
MaxBytes int64

Specifies rough maximum size of files.

maximum100000000
minimum1000
MaxDurationS float64

Specifies duration to wait to aggregate batches files.

maximum300
minimum0.25
MaxRows int64

Specifies rough maximum number of rows per file.

maximum10000000
minimum100
Compression PipelineListResponseResultsDestinationCompression
Type PipelineListResponseResultsDestinationCompressionType

Specifies the desired compression algorithm and format.

One of the following:
const PipelineListResponseResultsDestinationCompressionTypeNone PipelineListResponseResultsDestinationCompressionType = "none"
const PipelineListResponseResultsDestinationCompressionTypeGzip PipelineListResponseResultsDestinationCompressionType = "gzip"
const PipelineListResponseResultsDestinationCompressionTypeDeflate PipelineListResponseResultsDestinationCompressionType = "deflate"
Format PipelineListResponseResultsDestinationFormat

Specifies the format of data to deliver.

Path PipelineListResponseResultsDestinationPath
Bucket string

Specifies the R2 Bucket to store files.

Filename stringoptional

Specifies the name pattern to for individual data files.

Filepath stringoptional

Specifies the name pattern for directory.

Prefix stringoptional

Specifies the base directory within the bucket.

Type PipelineListResponseResultsDestinationType

Specifies the type of destination.

Endpoint string

Indicates the endpoint URL to send traffic.

Name string

Defines the name of the pipeline.

maxLength128
minLength1
Source []PipelineListResponseResultsSource
One of the following:
type PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSource struct{…}

[DEPRECATED] HTTP source configuration. Use the new streams API instead.

Format PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat

Specifies the format of source data.

Type string
Authentication booloptional

Specifies whether authentication is required to send to this pipeline via HTTP.

CORS PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORSoptional
Origins []stringoptional

Specifies allowed origins to allow Cross Origin HTTP Requests.

type PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSource struct{…}

[DEPRECATED] Worker binding source configuration. Use the new streams API instead.

Format PipelineListResponseResultsSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat

Specifies the format of source data.

Type string
Version float64

Indicates the version number of last saved configuration.

Success bool

Indicates whether the API call was successful.

[DEPRECATED] List Pipelines

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  pipelines, err := client.Pipelines.List(context.TODO(), pipelines.PipelineListParams{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pipelines.ResultInfo)
}
{
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "results": [
    {
      "id": "123f8a8258064ed892a347f173372359",
      "destination": {
        "batch": {
          "max_bytes": 1000,
          "max_duration_s": 0.25,
          "max_rows": 100
        },
        "compression": {
          "type": "gzip"
        },
        "format": "json",
        "path": {
          "bucket": "bucket",
          "filename": "${slug}${extension}",
          "filepath": "${date}/${hour}",
          "prefix": "base"
        },
        "type": "r2"
      },
      "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
      "name": "sample_pipeline",
      "source": [
        {
          "format": "json",
          "type": "type",
          "authentication": true,
          "cors": {
            "origins": [
              "*"
            ]
          }
        }
      ],
      "version": 2
    }
  ],
  "success": true
}
Returns Examples
{
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "results": [
    {
      "id": "123f8a8258064ed892a347f173372359",
      "destination": {
        "batch": {
          "max_bytes": 1000,
          "max_duration_s": 0.25,
          "max_rows": 100
        },
        "compression": {
          "type": "gzip"
        },
        "format": "json",
        "path": {
          "bucket": "bucket",
          "filename": "${slug}${extension}",
          "filepath": "${date}/${hour}",
          "prefix": "base"
        },
        "type": "r2"
      },
      "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
      "name": "sample_pipeline",
      "source": [
        {
          "format": "json",
          "type": "type",
          "authentication": true,
          "cors": {
            "origins": [
              "*"
            ]
          }
        }
      ],
      "version": 2
    }
  ],
  "success": true
}